<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__i2s__macros__interrupt__masks" kind="group">
    <compoundname>group_i2s_macros_interrupt_masks</compoundname>
    <title>Interrupt Masks</title>
      <sectiondef kind="define">
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga3bcfda6db2e4dd7bf3138542b4eea44f" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_TX_TRIGGER</name>
        <initializer>(I2S_INTR_TX_TRIGGER_Msk)</initializer>
        <briefdescription>
<para>Bit 0: Less entries in the TX FIFO than specified by Trigger Level. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="209" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="209" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga26ffe69252c2c4252bf0f2f8406e7f0b" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_TX_NOT_FULL</name>
        <initializer>(I2S_INTR_TX_NOT_FULL_Msk)</initializer>
        <briefdescription>
<para>Bit 1: TX FIFO is not full. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="211" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="211" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1gadc2be4eeee3e8b5a0d54bd6e881f5218" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_TX_EMPTY</name>
        <initializer>(I2S_INTR_TX_EMPTY_Msk)</initializer>
        <briefdescription>
<para>Bit 4: TX FIFO is empty, i.e. </para>        </briefdescription>
        <detaileddescription>
<para>it has 0 entries. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="213" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="213" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga334a1ab0b685497edc4bf132400814a8" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_TX_OVERFLOW</name>
        <initializer>(I2S_INTR_TX_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>Bit 5: Attempt to write to a full TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="215" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="215" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga38b517292ead00d3848962fa7fca7eb5" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_TX_UNDERFLOW</name>
        <initializer>(I2S_INTR_TX_UNDERFLOW_Msk)</initializer>
        <briefdescription>
<para>Bit 6: Attempt to read from an empty TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This happens when the IP is ready to transfer data and TX_EMPTY is '1'. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="218" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="218" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga8f368e82f9c84ba941019890f6483519" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_TX_WD</name>
        <initializer>(I2S_INTR_TX_WD_Msk)</initializer>
        <briefdescription>
<para>Bit 8: Tx watchdog event occurs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="220" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="220" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga4fa10b6befda1cb14e09a9114e2e5200" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_RX_TRIGGER</name>
        <initializer>(I2S_INTR_RX_TRIGGER_Msk)</initializer>
        <briefdescription>
<para>Bit 16: More entries in the RX FIFO than specified by Trigger Level. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="222" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="222" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1gab58d434d0f9ef5bc1dce8c211cede677" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_RX_NOT_EMPTY</name>
        <initializer>(I2S_INTR_RX_NOT_EMPTY_Msk)</initializer>
        <briefdescription>
<para>Bit 18: RX FIFO is not empty. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="224" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="224" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1gaa3ab58981323c1646276eb0e53fc0e3f" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_RX_FULL</name>
        <initializer>(I2S_INTR_RX_FULL_Msk)</initializer>
        <briefdescription>
<para>Bit 19: RX FIFO is full. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="226" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="226" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga688ee43b09fb7c608997eb8f510b4fe8" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_RX_OVERFLOW</name>
        <initializer>(I2S_INTR_RX_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>Bit 21: Attempt to write to a full RX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="228" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="228" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga14e9d7cfaf29a9ab998e6bfc15971d45" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_RX_UNDERFLOW</name>
        <initializer>(I2S_INTR_RX_UNDERFLOW_Msk)</initializer>
        <briefdescription>
<para>Bit 22: Attempt to read from an empty RX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="230" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="230" />
      </memberdef>
      <memberdef id="group__group__i2s__macros__interrupt__masks_1ga0a1c19138ee16c467ccbe3fc36fc75ec" kind="define" prot="public" static="no">
        <name>CY_I2S_INTR_RX_WD</name>
        <initializer>(I2S_INTR_RX_WD_Msk)</initializer>
        <briefdescription>
<para>Bit 24: Rx watchdog event occurs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="232" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="232" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>